# SubRemoveServerEvent (SubServers.Host)

net.ME1312.SubServers.Host.API.Event

## Class SubRemoveServerEvent

- java.lang.Object
- - net.ME1312.SubServers.Host.Library.Event.Event
  - - net.ME1312.SubServers.Host.API.Event.SubRemoveServerEvent

    public class SubRemoveServerEvent
    extends Event

Remove Server Event

### Constructor Summary

Constructors
Constructor and Description
`SubRemoveServerEvent(java.util.UUID player, java.lang.String host, java.lang.String server)` Server Remove Event

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHost()` Gets the Host of the Server
`java.util.UUID` `getPlayer()` Gets the player that triggered the Event
`java.lang.String` `getServer()` Gets the Server to be Removed

### Methods inherited from class net.ME1312.SubServers.Host.Library.Event.Event

`getAPI, getHandlers, getPlugin, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SubRemoveServerEvent

    public SubRemoveServerEvent(java.util.UUID player,
                                java.lang.String host,
                                java.lang.String server)

Server Remove Event

Parameters:
  `player` - Player Adding Server
  `server` - Server Starting

### Method Detail

#### getServer

    public java.lang.String getServer()

Gets the Server to be Removed

Returns:
  The Server to be Removed

#### getHost

    public java.lang.String getHost()

Gets the Host of the Server

Returns:
  The Host of the Server or null if isn't a SubServer

#### getPlayer

    public java.util.UUID getPlayer()

Gets the player that triggered the Event

Returns:
  The Player that triggered this Event or null if Console